Skip to content

Add bank account

POST
/v1/wallet/fiat/{currency}/accounts

Link a bank account to your VALR account for fiat withdrawals. The bank field should contain a valid bank identifier. Use the Banks for Currency request for a list of supported banks for the given currency. The country field must be the valid 2 character ISO 3166-1 code for the country in which the bank account is registered.

The accountType field accepts: CHEQUE, SAVINGS, or TRANSMISSION.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters

Path Parameters

currency*

The currency code for the fiat currency (e.g., ZAR)

Type
string
Required

Request Body

application/json
JSON
{
"bank": "FNB",
"accountHolder": "Frodo Baggins",
"accountNumber": "62792461544",
"branchCode": "040000",
"accountType": "CHEQUE",
"country": "ZA"
}

Responses

Bank account added successfully

application/json

Playground

Authorization
Variables
Key
Value
Body

Samples